<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.inspect</groupId>
        <artifactId>inspect-main</artifactId>
        <version>3.4.0</version>
        <!--        <version>${revision}</version>-->
        <!--        <relativePath>../pom.xml</relativePath>-->
    </parent>
    <artifactId>inspect-main-start</artifactId>
    <version>3.4.0</version>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
        <java.version>1.8</java.version>
        <start-class>com.inspect.InspectStartApplication</start-class>
    </properties>

    <dependencies>
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
        </dependency>
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
        </dependency>
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-sentinel</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-actuator</artifactId>
        </dependency>
        <dependency>
            <groupId>com.inspect</groupId>
            <artifactId>inspect-base-system</artifactId>
            <version>${version}</version>
        </dependency>
        <dependency>
            <groupId>com.inspect</groupId>
            <artifactId>inspect-base-swagger</artifactId>
        </dependency>
        <dependency>
            <groupId>com.inspect</groupId>
            <artifactId>inspect-main-task</artifactId>
        </dependency>
        <dependency>
            <groupId>com.inspect</groupId>
            <artifactId>inspect-main-video</artifactId>
        </dependency>
        <dependency>
            <groupId>com.inspect</groupId>
            <artifactId>inspect-main-statistics</artifactId>
        </dependency>
        <dependency>
            <groupId>com.inspect</groupId>
            <artifactId>inspect-main-client</artifactId>
        </dependency>
        <dependency>
            <groupId>com.inspect</groupId>
            <artifactId>inspect-main-task-exec</artifactId>
        </dependency>
    </dependencies>

    <build>
        <finalName>${project.artifactId}</finalName>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <version>${spring.boot.version}</version>
                <configuration>
                    <fork>true</fork>
                </configuration>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-dependency-plugin</artifactId>
                <executions>
                    <execution>
                        <id>copy-dependencies</id>
                        <phase>prepare-package</phase>
                        <goals>
                            <goal>copy-dependencies</goal>
                        </goals>
                        <configuration>
                            <outputDirectory>
                                target/lib
                            </outputDirectory>
                            <overWriteReleases>false</overWriteReleases>
                            <overWriteSnapshots>false</overWriteSnapshots>
                            <overWriteIfNewer>true</overWriteIfNewer>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
</project>
